# encoding: utf-8
#
# Copyright (C) 2020-21 willipink.eu
# Author Moritz Münch moritzmuench@mailbox.org
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.



from django.urls import path, re_path, include
from django.views.decorators.cache import cache_page

from . import views


app_name = 'coinc'
urlpatterns = [
    path('',                cache_page(None)(views.index),                  name='index'),
    path('<str:name_iso>',  cache_page(None)(views.detail_country),         name='country'),
    path('add/user/<str:username>/color/<str:color>',      views.add_user,  name='add_user'),
    re_path(r'^add/coin/(?P<country>[a-z]{2})/(?P<year>(?:1999|20[0-8][0-9]|209[0-8]))/(?P<value>(?:1|2|5|10|20|50|100|200|201|202|203))$',
        views.add_coin, name='add_coin'),
    path('edit/coin/<str:country>/<int:year>/<int:value>',
        views.edit_coin, name='edit_coin'),
    path('accounts/',       include('django.contrib.auth.urls')),
]
